- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: IDataSource IItemDataRenderer IRepeatInfoUser TActiveFileUpload TBaseDataList TBaseValidator TBoundColumn TBulletedList TBulletedListDisplayMode TBulletedListEventParameter TBulletStyle TButton TButtonColumn TButtonColumnType TButtonType TCaptcha TCaptchaValidator TCheckBox TCheckBoxColumn TCheckBoxList TCircleHotSpot TClientScript TClientScriptLoader TClientSideValidationSummaryOptions TColorPicker TColorPickerClientSide TColorPickerMode TCompareValidator TCompleteWizardStep TConditional TContent TContentDirection TContentPlaceHolder TCustomValidator TDataBoundControl TDataGrid TDataGridColumn TDataGridColumnCollection TDataGridCommandEventParameter TDataGridItem TDataGridItemCollection TDataGridItemEventParameter TDataGridItemRenderer TDataGridPageChangedEventParameter TDataGridPager TDataGridPagerButtonType TDataGridPagerEventParameter TDataGridPagerMode TDataGridPagerPosition TDataGridPagerStyle TDataGridSortCommandEventParameter TDataList TDataListCommandEventParameter TDataListItem TDataListItemCollection TDataListItemEventParameter TDataListItemRenderer TDataRenderer TDataSourceControl TDataSourceSelectParameters TDataSourceView TDataTypeValidator TDatePicker TDatePickerClientScript TDatePickerInputMode TDatePickerMode TDatePickerPositionMode TDisplayStyle TDraggable TDropContainer TDropDownList TDropDownListColumn TEditCommandColumn TEmailAddressValidator TExpression TFileUpload TFont THiddenField THorizontalAlign THotSpot THotSpotCollection THotSpotMode THtmlArea THtmlElement THyperLink THyperLinkColumn TImage TImageButton TImageClickEventParameter TImageMap TImageMapEventParameter TInlineFrame TInlineFrameAlign TInlineFrameScrollBars TItemDataRenderer TJavascriptLogger TKeyboard TLabel TLinkButton TListBox TListControl TListControlValidator TListItem TListItemCollection TListItemType TListSelectionMode TLiteral TLiteralColumn TMarkdown TMetaTag TMetaTagCollection TMultiView TOutputCache TOutputCacheCalculateKeyEventParameter TOutputCacheCheckDependencyEventParameter TPager TPagerButtonType TPagerMode TPagerPageChangedEventParameter TPanel TPanelStyle TPlaceHolder TPolygonHotSpot TRadioButton TRadioButtonList TRangeValidationDataType TRangeValidator TRatingList TReadOnlyDataSource TReadOnlyDataSourceView TRectangleHotSpot TRegularExpressionValidator TRepeatDirection TRepeater TRepeaterCommandEventParameter TRepeaterItem TRepeaterItemCollection TRepeaterItemEventParameter TRepeaterItemRenderer TRepeatInfo TRepeatLayout TRequiredFieldValidator TSafeHtml TScrollBars TServerValidateEventParameter TSlider TSliderClientScript TSliderDirection TStatements TStyle TStyleSheet TTable TTableCaptionAlign TTableCell TTableCellCollection TTableFooterRow TTableGridLines TTableHeaderCell TTableHeaderRow TTableHeaderScope TTableItemStyle TTableRow TTableRowCollection TTableRowSection TTableStyle TTabPanel TTabView TTabViewCollection TTemplateColumn TTemplatedWizardStep TTextAlign TTextBox TTextBoxAutoCompleteType TTextBoxMode TTextHighlighter TTextHighlighterLineNumberStyle TValidationCompareOperator TValidationDataType TValidationSummary TValidationSummaryDisplayMode TValidationSummaryDisplayStyle TValidatorClientSide TValidatorDisplayStyle TVerticalAlign TView TViewCollection TWebControl TWebControlAdapter TWizard TWizardFinishNavigationTemplate TWizardNavigationButtonStyle TWizardNavigationButtonType TWizardNavigationContainer TWizardNavigationEventParameter TWizardNavigationTemplate TWizardSideBarListItemTemplate TWizardSideBarTemplate TWizardStartNavigationTemplate TWizardStep TWizardStepCollection TWizardStepNavigationTemplate TWizardStepType TXmlTransform |
Keyword
# Class TValidatorClientSide
    TComponent
       |
       --TClientSideOptions
          |
          --TValidatorClientSide
TValidatorClientSide class. Client-side validator events can be modified through the TBaseValidator::getClientSide property of a validator. The subproperties of ClientSide are those of the TValidatorClientSide properties. The client-side validator supports the following events. The <tt>OnValidate</tt> event is raise before the validator validation functions are called. The <tt>OnValidationSuccess</tt> event is raised after the validator has successfully validate the control. The <tt>OnValidationError</tt> event is raised after the validator fails validation. See the quickstart documentation for further details. Since: 3.0 Author: Wei Zhuo <weizhuo[at]gmail[dot]com>
Method Summary
boolean | getObserveChanges ()
string | getOnValidate ()
string | getOnValidationError ()
string | getOnValidationSuccess ()
void | setObserveChanges ( boolean $value)
void | setOnValidate ( string $javascript) Client-side OnValidate validator event is raise before the validators validation functions are called.
void | setOnValidationError ( string $javascript) Client-side OnError event is raised after validation failure.
void | setOnValidationSuccess ( string $javascript) Client-side OnSuccess event is raise after validation is successfull.
Methods Inherited From TClientSideOptions
TClientSideOptions::ensureFunction(), TClientSideOptions::getOption(), TClientSideOptions::getOptions(), TClientSideOptions::setFunction(), TClientSideOptions::setOption()
Methods Inherited From TComponent
TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()
Method Details
## getObserveChanges
public boolean getObserveChanges | ()
Output
boolean | true to observe changes.
Exception
## getOnValidate
public string getOnValidate | ()
Output
string | javascript code for client-side OnValidate event.
Exception
## getOnValidationError
public string getOnValidationError | ()
Output
string | javascript code for client-side OnError event.
Exception
## getOnValidationSuccess
public string getOnValidationSuccess | ()
Output
string | javascript code for client-side OnSuccess event.
Exception
## setObserveChanges
public void setObserveChanges | (boolean $value )
Input
boolean | $value | true to revalidate when the control to validate changes value.
Output
Exception
## setOnValidate
public void setOnValidate | (string $javascript )
Client-side OnValidate validator event is raise before the validators validation functions are called.
Input
string | $javascript | javascript code for client-side OnValidate event.
Output
Exception
## setOnValidationError
public void setOnValidationError | (string $javascript )
Client-side OnError event is raised after validation failure. This will override the default client-side validator behaviour.
Input
string | $javascript | javascript code for client-side OnError event.
Output
Exception
## setOnValidationSuccess
public void setOnValidationSuccess | (string $javascript )
Client-side OnSuccess event is raise after validation is successfull. This will override the default client-side validator behaviour.
Input
string | $javascript | javascript code for client-side OnSuccess event.
Output
Exception